View Issue Details

IDProjectCategoryView StatusLast Update
16096Bug reportsImport/Exportpublic2020-07-06 13:21
ReporterEvrain Assigned To 
PrioritynoneSeveritypartial_block 
Status closedResolutionfixed 
Product Version4.1.13 
Summary16096: QueXML PDF doesn't show full checkboxes
Description

I tried printing a queXML PDF to store and scan in the future. Problem is: all box-type answers are cut after the first option - even normal Y/N questions, so I doubt it's a problem with custom answers

Tried changing theme, language, keeping the default question group, nothing worked. At all.

Steps To Reproduce

Bug present even in the Demo installation hosted on LS's website.

Tagsexport
Complete LimeSurvey version number (& build)Version 4.1.13+200325
I will donate to the project if issue is resolvedYes
BrowserChrome 80
Database & DB-VersionMariaDB
Server OS (if known)
Webserver software & version (if known)
PHP Version7.1

Activities

Evrain

Evrain

2020-04-05 16:21

reporter  

Immagine.png (84,309 bytes)   
Immagine.png (84,309 bytes)   
gabrieljenik

gabrieljenik

2020-07-01 16:00

developer   ~58620

PR: https://github.com/LimeSurvey/LimeSurvey/pull/1462

user225042

2020-07-03 11:50

  ~58676

Last edited: 2020-07-06 10:30

Tested the issue by checking out to branch ,all the checkboxes are displayed in the PDF now.
Please refer the screenshot for more details

16096_QUEPDF_Checkboxes.png (75,047 bytes)   
16096_QUEPDF_Checkboxes.png (75,047 bytes)   
guest

guest

2020-07-03 19:49

viewer   ~58687

Last edited: 2020-07-06 10:30

Fix committed to master branch: http://bugs.limesurvey.org/plugin.php?page=Source/view&id=30251

lime_release_bot

lime_release_bot

2020-07-06 13:21

administrator   ~58715

Fixed in Release 4.3.3+200707

Related Changesets

LimeSurvey: master bdf815f8

2020-07-03 19:49:01

gabrieljenik


Committer: GitHub Details Diff
Fixed issue 16096: QueXML PDF doesn't show full checkboxes (#1462)

Dev: Variable name made overlapping with previous assignment which was counting categories. See line 3494
Affected Issues
16096
mod - application/libraries/admin/quexmlpdf.php Diff File

Issue History

Date Modified Username Field Change
2020-04-05 16:21 Evrain New Issue
2020-04-05 16:21 Evrain File Added: limesurvey_survey_774277.lss
2020-04-05 16:21 Evrain File Added: Immagine.png
2020-04-05 16:21 Evrain Tag Attached: export
2020-04-07 18:34 cdorin Status new => confirmed
2020-04-07 18:34 cdorin Description Updated View Revisions
2020-07-01 16:00 gabrieljenik Note Added: 58620
2020-07-03 11:50 user225042 Note Added: 58676
2020-07-03 11:50 user225042 File Added: 16096_QUEPDF_Checkboxes.png
2020-07-03 19:49 gabrieljenik Changeset attached => LimeSurvey master bdf815f8
2020-07-03 19:49 guest Note Added: 58687
2020-07-06 10:30 swendrich Status confirmed => resolved
2020-07-06 13:21 lime_release_bot Note Added: 58715
2020-07-06 13:21 lime_release_bot Status resolved => closed
2020-07-06 13:21 lime_release_bot Resolution open => fixed